/**
 *    Copyright (C) 2012, 2013 Engineering Ingeneria Informatica s.p.a.
 *
 *    Authors:
 *     Paolo Roccetti <paolo.roccetti@eng.it>
 *     Silvio Sorace <silvio.sorace@eng.it>
 *
 *    This file is part of SEMIRAMIS Policy Management library (PM).
 *
 *    PM is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Lesser General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    PM is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public License
 *    along with PM. If not, see <http://www.gnu.org/licenses/>.
 * 
 */
package eu.semiramis.policyManager.pdp.impl;

import java.util.Properties;

import org.opensaml.xacml.ctx.RequestType;
import org.opensaml.xacml.ctx.ResponseType;
import org.opensaml.xml.io.MarshallingException;
import org.opensaml.xml.util.XMLHelper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import eu.semiramis.policyManager.pdp.ConfigurationException;
import eu.semiramis.policyManager.pdp.ContextHandler;
import eu.semiramis.policyManager.pdp.EvaluationException;
import eu.semiramis.policyManager.pdp.PDP;
import eu.semiramis.policyManager.pdp.PDPFactory;
import eu.semiramis.policyManager.pdp.impl.AbstractContextHandler;
import eu.semiramis.policyManager.util.PMUtils;
import eu.semiramis.policyManager.util.opensaml.XACMLUtils;

/**
 * Base implementation of the {@link ContextHandler} interface
 * 
 */
public class DefaultContextHandlerImpl extends AbstractContextHandler {

	final static String DEFAULT_PDP_NAME = "pdp";
	
	final Logger logger = LoggerFactory
			.getLogger(DefaultContextHandlerImpl.class);

	private Properties properties;

	@Override
	ResponseType handle(RequestType request) throws EvaluationException {
		
		return handleByPdp(DEFAULT_PDP_NAME, request);
	}


	@Override
	Logger getLogger() {
		return logger;
	}

}
